Subject: Re: [PATCH] Revert 'diff-merges: let "-m" imply "-p"'

From: Junio C Hamano <[email-masked]>
Date: Sun, 08 Aug 2021 10:55:49 -0700

Jonathan Nieder <[email-masked]> writes:

> Junio C Hamano wrote:
>
>> For example, 1e20a407 (stash list: stop passing "-m" to "git log",
>> 2021-05-21) that dropped "-m" must be reverted as well, no?
>
> No, that change is fine.  The "-m" doesn't have an effect one way or
> another after this revert.

Ah, we are saved by the fact that "--first-parent" was made to imply
"-m", so a "-p" coming from the command line of "git stash list"
would do "log --first-parent -p" that shows the patch we want
without the need for "-m"... nice.